"""
    FreeClimb API

    FreeClimb is a cloud-based application programming interface (API) that puts the power of the Vail platform in your hands. FreeClimb simplifies the process of creating applications that can use a full range of telephony features without requiring specialized or on-site telephony equipment. Using the FreeClimb REST API to write applications is easy! You have the option to use the language of your choice or hit the API directly. Your application can execute a command by issuing a RESTful request to the FreeClimb API. The base URL to send HTTP requests to the FreeClimb REST API is: /apiserver. FreeClimb authenticates and processes your request.  # noqa: E501

    The version of the OpenAPI document: 1.0.0
    Contact: support@freeclimb.com
    Generated by: https://openapi-generator.tech
"""


import sys
import unittest
from datetime import datetime, date
import pytest

import freeclimb

from freeclimb.model.completion_result import CompletionResult  # noqa: E501

class TestCompletionResult(unittest.TestCase):
    """CompletionResult unit test stubs"""

    def setUp(self):
        self.model = CompletionResult(
            response="",
            status="success",
        )
    
    def test_response(self):
        """Test CompletionResult.response"""
        self.model.response = "TEST_STRING"
        assert self.model.get("response") == "TEST_STRING"

    def test_status(self):
        """Test CompletionResult.status"""
        self.model.status = "success"
        assert self.model.get("status") == "success"
        self.model.status = "no_context"
        assert self.model.get("status") == "no_context"
        

    def test_status_throws_on_invalid_enum(self):
        with pytest.raises(Exception) as info:
            self.model.status = "INVALID_ENUM"
        exception_raised = info.value
        assert exception_raised.__class__.__name__ == freeclimb.ApiValueError.__name__
        

if __name__ == '__main__':
    unittest.main()